# Product Context

## Purpose
Personal MCP is a Model Context Protocol server designed for comprehensive personal health and well-being tracking. It serves as a centralized system for monitoring physical fitness, nutrition, and daily well-being through journaling.

## Problems Solved
1. **Integrated Health Tracking**
   - Combines workout, nutrition, and well-being tracking in one system
   - Eliminates need for multiple disconnected apps
   - Enables correlation analysis between different health aspects

2. **Rehabilitation-Aware Fitness**
   - Considers injury recovery in workout planning
   - Implements RPE-based load management
   - Tracks shoulder rehabilitation progress

3. **Comprehensive Nutrition Monitoring**
   - Tracks protein and calorie intake
   - Monitors hunger and satisfaction levels
   - Aligns nutrition with workout timing

4. **Mental Well-being Integration**
   - Daily journaling with mood and energy tracking
   - Sleep quality monitoring
   - Stress level assessment
   - Pattern recognition in well-being metrics

## Core Functionality
The system operates through three main components:

1. **Workout System**
   - Exercise logging with sets/reps
   - RPE tracking
   - Safe weight calculations
   - Rehabilitation considerations

2. **Nutrition System**
   - Meal logging
   - Nutrient tracking
   - Hunger/satisfaction monitoring
   - Pre/post workout nutrition

3. **Journal System**
   - Daily entries
   - Mood/energy tracking
   - Tag-based organization
   - Trend analysis

## Integration
- Implements Model Context Protocol for AI assistance
- Provides tools and resources for Claude integration
- Enables data-driven insights across all health aspects